Bug 1467417 - Review Request: python-plaster - Application configuration settings abstraction layer
Review Request: python-plaster - Application configuration settings abstracti...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Callaghan
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1465428 1467418
  Show dependency treegraph
 
Reported: 2017-07-03 14:35 EDT by Randy Barlow
Modified: 2017-07-17 05:20 EDT (History)
2 users (show)

See Also:
Fixed In Version: python-plaster-0.5-1.fc27
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-16 21:49:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dcallagh: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Randy Barlow 2017-07-03 14:35:24 EDT
Spec URL: https://bowlofeggs.fedorapeople.org/python-plaster.spec
SRPM URL: https://bowlofeggs.fedorapeople.org/python-plaster-0.5-1.fc27.src.rpm
Description: plaster is a loader interface around multiple
configuration file formats. It exists to define a common API for
applications to use when they wish to load configuration. The library
itself does not aim to handle anything except a basic API that
applications may use to find and load configuration settings. Any
specific constraints should be implemented in a loader which can be
registered via an entry point.
Fedora Account System Username: bowlofeggs
Comment 1 Dan Callaghan 2017-07-05 22:35:32 EDT
APPROVED with some minor suggestions below


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated

===== Suggestions =====

The spec has Requires for setuptools but no BuildRequires, for completeness you 
might want to BuildRequires it as well. I guess currently it is pulled in 
transitively by python2-devel/python3-devel so not a big deal.

Consider commenting the sed commands in %prep for manipulating docs/conf.py. 
I figured they are just to make Sphinx use the stock theme and to make it 
correctly load the unpacked sources, but it might be handy to explain that in 
the spec.

Also the sed hackery for docs version produces this Sphinx warning:

WARNING: The config value `version' has type `float', defaults to `str'.

since it is inserting %{version} as is. Should be '%{version}' (that is, 
a string literal). However the warning doesn't seem to do any harm.


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: License file installed when any subpackage combination is installed.
[x]: Package must own all directories that it creates.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
[x]: Package functions as described.
     Functionality not tested aside from: python -c 'import plaster'.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[-]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python-plaster-doc-0.5-1.fc27.noarch.rpm
          python2-plaster-0.5-1.fc27.noarch.rpm
          python3-plaster-0.5-1.fc27.noarch.rpm
          python-plaster-0.5-1.fc27.src.rpm
4 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
3 packages and 0 specfiles checked; 0 errors, 0 warnings.



Requires
--------
python3-plaster (rpmlib, GLIBC filtered):
    python(abi)
    python3-setuptools

python2-plaster (rpmlib, GLIBC filtered):
    python(abi)
    python2-setuptools

python-plaster-doc (rpmlib, GLIBC filtered):



Provides
--------
python3-plaster:
    python3-plaster
    python3.6dist(plaster)
    python3dist(plaster)

python2-plaster:
    python-plaster
    python2-plaster
    python2.7dist(plaster)
    python2dist(plaster)

python-plaster-doc:
    python-plaster-doc



Source checksums
----------------
https://github.com/Pylons/plaster/archive/0.5/plaster-0.5.tar.gz :
  CHECKSUM(SHA256) this package     : b636b31171566a56f2374a270589744474a7dfb06a42846b536e1d697d29e119
  CHECKSUM(SHA256) upstream package : b636b31171566a56f2374a270589744474a7dfb06a42846b536e1d697d29e119


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1467417 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 2 Gwyn Ciesla 2017-07-06 10:24:15 EDT
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/python-plaster
Comment 3 Randy Barlow 2017-07-06 14:23:08 EDT
Thanks for the review! I've addressed your suggestions in this commit:

http://pkgs.fedoraproject.org/cgit/rpms/python-plaster.git/commit/?id=51ece743fc76b371fff75ca4e5eeabed518e1a44
Comment 4 Fedora Update System 2017-07-06 14:30:44 EDT
python-plaster-0.5-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-9790f68a4a
Comment 5 Fedora Update System 2017-07-07 05:05:49 EDT
python-plaster-0.5-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-393cea5fb6
Comment 6 Fedora Update System 2017-07-07 05:05:55 EDT
python-plaster-0.5-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-e95a7a2230
Comment 7 Fedora Update System 2017-07-08 22:52:41 EDT
python-plaster-0.5-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-9790f68a4a
Comment 8 Fedora Update System 2017-07-16 21:49:22 EDT
python-plaster-0.5-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2017-07-17 00:51:22 EDT
python-plaster-0.5-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2017-07-17 05:20:01 EDT
python-plaster-0.5-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.